PPWProject2/urls.py
from django.conf.urls import include,url
from django.contrib import admin
import lab6.urls as lab6
import lab8.urls as lab8
import lab9.urls as lab9
import lab10.urls as lab10

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^lab6/', include(lab6,namespace='lab6')),
    url(r'^lab8/', include(lab8,namespace='lab8')),
    url(r'^lab9/', include(lab9,namespace='lab9')),
    url(r'^lab10/', include(lab10,namespace='lab10')),
    url(r'^lab11/', include("lab11.urls")),
]

lab10/urls.py
from django.contrib import admin
from django.urls import path
from . import views

app_name = 'lab10'
urlpatterns = [
    path('', views.homepage, name = 'homepage'),
    path('check_email/', views.check_email, name = 'check_email'),
    path('list-subscriber/', views.listSubscriber, name='listSubscriber'),
    path('unsubscribe_pass/<password>/<email>/', views.unsubscribe_pass, name='unsubscribe'),
]

lab11/urls.py
from django.contrib import admin
from django.urls import path, include
from . import views as fungsidiviews
from django.contrib.auth import views
from django.conf import settings


urlpatterns = [
    path('', fungsidiviews.web_login, name='web_login'),
    path('book-list/', fungsidiviews.homepage, name='homepage'),
    path('book-list/data/', fungsidiviews.data, name='books-list'),

    path('login/',  views.LoginView.as_view(), name="login"),
    path('logout/', views.LogoutView.as_view(),  {'next_page': settings.LOGOUT_REDIRECT_URL}, name='logout'),

    path('auth/', include('social_django.urls', namespace='social')),
    path('book-list/like/', fungsidiviews.like),
    path('book-list/unlike/', fungsidiviews.unlike),
    path('book-list/get-like/', fungsidiviews.get_like),
]

lab6/urls.py
from django.conf.urls import url

from .views import homepage, tampil_profil

app_name = 'lab6'
urlpatterns = [
    url(r'^$', homepage, name='homepage'),
    url(r'^profil', tampil_profil, name='tampil_profil')
]

lab8/urls.py
from django.conf.urls import url

from .views import tampil_profil

app_name = 'lab6'
urlpatterns = [
    url(r'^$', tampil_profil, name='tampil_profil'),
]

lab9/urls.py
from django.contrib import admin
from django.urls import path
from . import views

app_name = 'lab9'
urlpatterns = [
    path('', views.homepage, name='index_lab9'),
    path('data/', views.data, name='books_data'),
]

lab10/models.py
from django.db import models

# Create your models here.
class Subscriber(models.Model):
    name = models.CharField(max_length=50)
    email = models.EmailField(max_length=50, primary_key=True, unique=True)
    password = models.CharField(max_length=12)

lab11/models.py
from django.db import models

# Create your models here.

lab6/models.py
from django.db import models
from django.utils import timezone

class Status(models.Model):
	message = models.CharField(max_length = 300, blank = False)
	created_at = models.DateTimeField(default=timezone.now)

lab8/models.py
from django.db import models

# Create your models here.

lab9/models.py
from django.db import models

# Create your models here.

lab10/forms.py
from django import forms

class FormSubscriber(forms.Form):
    name = forms.CharField(required=True, max_length=50, widget=forms.TextInput(attrs={'label': 'Name', 'placeholder': 'Name', 'id' : 'name'}))
    email = forms.CharField(required=True, max_length=50, widget=forms.TextInput(attrs={'type': 'email', 'placeholder':'example@email.com', 'label': 'Email', 'id' : 'email'}))
    password = forms.CharField(required=True, min_length=8, max_length=12, widget=forms.TextInput(attrs={'type': 'password', 'label': 'Password', 'placeholder': 'Password', 'id' : 'password'}))

lab6/forms.py
from django import forms
from .models import Status

class Make_Status(forms.Form):
	message = forms.CharField(label = "Status", max_length= 300,widget=forms.TextInput(attrs = {'placeholder' : 'Something new?'}))

lab10/views.py
from django.http import JsonResponse, HttpResponse
from django.shortcuts import render, redirect
from .models import Subscriber
from .forms import FormSubscriber
from django.views.decorators.csrf import csrf_exempt

response = {}
def homepage(request):
    response['activetab'] = 'subscriberpage'
    if request.method == 'POST':
        form = FormSubscriber(request.POST)

        if form.is_valid():
            name = form.cleaned_data['name']
            email = form.cleaned_data['email']
            password = form.cleaned_data['password']
            status_subscribe = True

            try:
                Subscriber.objects.create(name=name, email=email, password=password)
            except:
                status_subscribe = False

            return JsonResponse({'status_subscribe' : status_subscribe})

    Form = FormSubscriber()
    response['form'] = Form
    return render(request, 'subscribers.html', response)

def check_email(request):
    if request.method == 'POST':
        email = request.POST['email']
        validasi = Subscriber.objects.filter(pk=email).exists()
        return JsonResponse({'is_email' : validasi})

def listSubscriber(request):
    all_subs = Subscriber.objects.all().values()
    subs = list(all_subs)
    return JsonResponse({'all_subs' : subs})

@csrf_exempt
def unsubscribe_pass(request, password, email):
    if request.method == 'POST':
        email = request.POST['email']
        sub = Subscriber.objects.get(email=email)

        if sub.password == password:
        	sub.delete()
        	return JsonResponse({})

       	else:
       		return JsonResponse({})

        

lab11/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect, HttpResponse
from django.http import JsonResponse
from django.contrib.auth import authenticate
from django.views.decorators.csrf import csrf_exempt
import requests
import json

# Create your views here.
response = {}
def web_login(request):
	return render(request, 'login.html')

def homepage(request):
    if  request.user.is_authenticated and "like" not in request.session:
        request.session["fullname"]=request.user.first_name+" "+request.user.last_name
        request.session["username"]=request.user.username
        request.session["email"] = request.user.email
        request.session["sessionid"]=request.session.session_key
        request.session["like"]=[]

    try:
    	if request.session["like"] is not None:
    		response["message"] = len(request.session["like"])
    except:
    	response["message"] = 0
    return render(request, 'bookspage.html', response)

@csrf_exempt
def like(request):
	if(request.method=="POST"):
		lst = request.session["like"]
		if request.POST["id"] not in lst :
			lst.append(request.POST["id"])

		request.session["like"]= lst
		response["message"]=len(lst)
		return JsonResponse(response)

	else:
		return HttpResponse("GET Method not allowed")
    

@csrf_exempt
def unlike(request):
    if(request.method=="POST"):
        lst = request.session["like"]
        if request.POST["id"] in lst :
            lst.remove(request.POST["id"])

        request.session["like"]= lst
        response["message"]=len(lst)  

        return JsonResponse(response)

    else:
        return HttpResponse("GET Method not allowed")
    
def get_like(request):
    if request.user.is_authenticated :
        if(request.method=="GET"):
            if request.session["like"] is not None:
                response["message"] = request.session["like"]
        else:
            response["message"] = "NOT ALLOWED"
    else:
        response["message"] = ""
    return JsonResponse(response)



def data(request):
	try:
		q = request.GET['q']

	except:
		q = 'quilting'

	json_read = requests.get('https://www.googleapis.com/books/v1/volumes?q=' + q).json()
	return JsonResponse(json_read)

lab6/views.py
from django.shortcuts import render, redirect
from .models import Status
from .forms import Make_Status

def homepage(request):
	form = Make_Status(request.POST or None)
	response = {}
	if(request.method == "POST"):
		if (form.is_valid()):
			Status.objects.create(message=request.POST.get("message"))
			return redirect('lab6:homepage')

	status = Status.objects.all().order_by("-id")
	response = {
		"status" : status,
		"form" : form
	}
	return render(request, 'landingpage.html', response)

def tampil_profil(request):
	return render(request, 'profile.html')

lab8/views.py
from django.shortcuts import render

def tampil_profil(request):
	return render(request, 'lab8.html')

lab9/views.py
from django.shortcuts import render
from django.http import JsonResponse
import requests
import json

def data(request):
	try:
		q = request.GET['q']

	except:
		q = 'quilting'

	json_read = requests.get('https://www.googleapis.com/books/v1/volumes?q=' + q).json()
	return JsonResponse(json_read)


def homepage(request):
	return render(request,'booklist.html')

lab10/templates/subscribers.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Subscribe Page</title>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="stylesheet" type="text/css" href="{% static 'css/lab10.css' %}">

		<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
		<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">

		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
		<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    	<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
		<script src="{% static 'js/lab10.js' %}"></script>

    </head>
    <body id='body'>
        
    <div class="container">
        <div class="row justify-content-center align-items-center">
            <div class="col-sm-12">
                <div class="roundedrec">
                    <div class="insiderec">
                        <div class="row">
                            <div class="col-sm-6 signup-form">
                                <p class="judul" style="font-size: 25px">Subscriber Form Registration</p>
                                <form class="form_input" method="POST" class="isi">
                                    {% csrf_token %}
                                    <div style="color: #161670" class="validate-input" data-validate="Name is required">
                                        {{ form.name.label_tag }}
                                        {{ form.name }}
                                    </div>
                                    <div style="color: #161670" class="validate-input" data-validate="Valid email is required" data-validate2="Email already registered">
                                        {{ form.email.label_tag }}
                                        {{ form.email }}
                                    </div>
                                    <div style="color: #161670" class="validate-input" data-validate="Password is required">
                                        {{ form.password.label_tag }}
                                        {{ form.password }}
                                    </div>
                                    <input disabled=true class="submit" id="submit_subscribe" type="submit" value="Register">
                                    <br><br>
                                </form>
                            </div>
                            <div class="col-sm-6">
                                <img style="width: 100%" src="{% static 'img/subscribe.png' %}" alt="subscribe image">
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-sm-12">
	            <div class="roundedrec">
	                <div class="insiderec">
	                    <div class="row">
	                        <div class="col-sm-12 signup-form">
	                            <p class="judul" style="font-size: 25px">List Subscriber</p>
	                            <div class="table-responsive">
	                                <table id="demo" class="table" style="font-size: 15px;">
	                                    <thead>
	                                        <tr class="table text-center">
	                                            <th scope="col" class="align-middle">No</th>
	                                            <th scope="col" class="align-middle">Name</th>
	                                            <th scope="col" class="align-middle">Email</th>
	                                            <th scope="col" class="align-middle"></th>
	                                        </tr>
	                                    </thead>
	                                    <tbody></tbody>
	                                </table>
	                            </div>
	                        </div>
	                    </div>
	                </div>
	            </div>
	        </div>

        </div>
    </div>

    </body>
</html>

lab11/templates/bookspage.html
{% load static %}

<!DOCTYPE html>
<html>
    
<head>
    <title>Choose Your Books</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" href="{% static 'css/lab11.css' %}">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
    <script src="{% static 'js/lab11.js' %}"></script>
    <script src="https://apis.google.com/js/platform.js" async defer></script>
    <meta name="google-signin-client_id" content="893704308133-749oai7dvu9tttd05l2lu0rfe7t0pds2.apps.googleusercontent.com">
    
</head>

<body>
    <div class="container-fluid h-100">
        <div class="row h-100 justify-content-center align-items-center">
            <div class="col-sm-11">
                <div class="row" style="padding-top: 50px;">
                    <div class="col-sm-6" style="padding-top: 2.5vh;">
                        <text class="judul" style="font-size: 70px; line-height: 60px;"><strong>Book List      </strong></text>
                    </div>
                    <div class="col-sm-6" style="text-align:right; font-size: 20px; padding-top: 30px;">
                        <input type="text" id="textField" placeholder="Search for books.." title="Type in a name">
                    </div>
                </div>
                <div class="panel panel-default" style="margin-top:1.2%;">
                    <div class="panel-heading">
                        {% if user.is_authenticated %}
                            <div style="margin-top: 1vh; margin-bottom: 1vh">
                                <text class="display-4"><i class="fa fa-user-circle" aria-hidden="true"></i><b> Hello, {{ user.username }}!</b></text>
                                <a style="padding-left: 6px" href="{% url 'logout' %}" onclick="signOut();"><i class="fa fa-sign-out" aria-hidden="true"></i> Sign Out</a>
                            </div>
                        {% else %}
                            <a class="lead" href="{% url 'web_login' %}"><i class="fa fa-sign-out" aria-hidden="true"></i><b> Sign In</b></a>
                        {% endif %}                
                    </div>
                    <div class="panel-body">
                        <p><b>First Name</b> : {{ user.first_name }} </p>
                        <p><b>Last Name</b> : {{ user.last_name }} </p>
                        <p><b>Username</b> : {{ user.username }} </p>
                        <p><b>Email</b> : {{ user.email }} </p>
                        <hr style="margin-bottom: 16px;">
                        <text style="padding-top: -10vh; font-size: 18px;"><b>Favourite(s)</b> : </text>
                        <text id="counter" style="margin-top: -10px; font-size: 18px; font-weight: bold"> {{ message }}</text>
                    </div>
                </div> 
                <div class="roundedrec" style="margin-bottom:6.7%;">
                    <div class="insiderec">
                        <div class="table-responsive">
                            <table id="demo" class="table" style="font-size: 15px;">
                                <thead>
                                    <tr class="table text-center">
                                        <th scope="col" class="align-middle">No</th>
                                        <th scope="col" class="align-middle">Cover</th>
                                        <th scope="col" class="align-middle">Title</th>
                                        <th scope="col" class="align-middle">Authors</th>
                                        <th scope="col" class="align-middle">Publisher</th>
                                        <th scope="col" class="align-middle">Published Date</th>
                                        <th scope="col" class="align-middle">Add to Favourite(s)</th>
                                    </tr>
                                </thead>
                                <tbody></tbody>
                            </table>
                            <div id="alert" class="text-center"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

<script>
    function signOut() {
        var auth2 = gapi.auth2.getAuthInstance();
        auth2.disconnect();
        auth2.signOut().then(function () {  
            alert('User signed out.');
        });

    }
</script>
</html>

lab11/templates/login.html
{% load static %}

<!DOCTYPE html>
<html>
    
<head>
    <title>Login Page</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" href="{% static 'css/lab11.css' %}">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link href="//netdna.bootstrapcdn.com/bootstrap/3.1.1/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js" type="text/javascript"></script>
    <script src="{% static 'js/lab11.js' %}"></script>
</head>

<body>
    <div class="container-fluid h-100">
        <div class="row h-100 justify-content-center align-items-center">
            <div class="col-sm-4 text-center">
                <div class="roundedrec">
                    <div class="insiderec">
                        <img style="width: 50%; padding: 5%" src="{% static 'img/google.png' %}" alt="google logo"><br>
                        <a class="judul" style="color:black"href="{% url 'social:begin' 'google-oauth2' %}"><strong><i class="fa fa-sign-in" aria-hidden="true"></i> Sign In with Google</strong></a><br>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
    
</html>

lab6/templates/landingpage.html
{% load static %}
<!DOCTYPE html>
<html>
<head>
	<title>Current Status?</title>
	<link rel="stylesheet" type="text/css" href="{% static 'css/lab6-light.css' %}">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">

</head>
<body class="background-light">
	<div class="container-fluid h-100">
	    <div class="row h-100 justify-content-center align-items-center">
	    	<div class="col-sm-6 text-center inputform">
		    	<p class="title2" style="font-size: 50px; text-align: center; color:white">
		    		<strong>Hello! How are you?</strong>
		    	</p>
                <form action="" method="POST" class="w3-left-align isi">
                    {% csrf_token %}                    
                    {{ form.message }}
                    <input type="submit" value="Share it with me!">
                </form>
	        </div>

	        <div class="col-sm-6">
                <div class="roundedrec">
                    <div class="insiderec">
                        <p class="judul">What they're feeling . . . </p>
                        
                        {% if status %}
                            {% for stat in status %}
                            	<div class="overflow-wrap word-break messages">
                                    <tr>
                                        <td class="overflow-wrap word-break" style="font-size: 20px"><strong> {{ stat.created_at }} </strong></td>
                                        
                                    </tr>
                                    <tr>
                                    	<td class="overflow-wrap word-break">"{{ stat.message }}" <br><br></td>
                                    </tr>

                                </div>
                            {% endfor %}
                        {% else %}
                            <h5>No Response Yet . . .</h5> 
                        {% endif %}

                    </div>
                </div>
                
                <center><a href="{% url 'lab6:tampil_profil' %}"><button type="button"class="btn":> My Profile!</button></a></center>
                <br><br><br>
            </div>
	    </div>
	</div>

</body>
</html>

lab6/templates/profile.html
{% load static %}
<!DOCTYPE html>
<html>
<head>
	<title>Current Status?</title>
	<link rel="stylesheet" type="text/css" href="{% static 'css/lab6-light.css' %}">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js" integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=" crossorigin="anonymous"></script>
    <script src="{%static "js/profile.js" %}"></script>

</head>
<body id="body">
	<div class="container h-100">
		<div class="row justify-content-center align-items-center">
			<div class="col-sm-6 text-center inputform">
		    	<p style="font-size: 90px; text-align: center; color:white">
		    		<strong>Hi! I'm Dean</strong>
		    	</p>

	        </div>
    	</div>
	    <div class="row justify-content-center align-items-center content">
	    	

	        <div class="col-sm-6">
                <div class="roundedrec">
                    <div class="insiderec">
                        <p class="judul">A little about me . . . </p>
                        <p class="isi text-center"><b> A CS Student that is really flexible and apparently a really nice guy :) I consider process more than the results.
                        </b></p>

                        <div id="accordion" class="accordion" style="padding-top: 35px">
		                    <h4 class="judul2">Activities</h4>
		                    <div>
		                        <li class="isi">The usual college life</li>
		                        <li class="isi">A lot of meetings</li>
		                        <li class="isi">Apparently enjoying life</li>
		                        <li class="isi">Thinking a lot about games</li>
		                        <li class="isi">Need some rest</li>
		                    </div>
		                    <h4 class="judul2">Organizations/Volunteer Experiences</h4>
		                    <div>
		                    	<li class="isi">Staff of Games The 25th Computer's Get Together</li>
		                    	<li class="isi">Staff of Decoration and Costume (DnCe) Compfest X</li>
		                        <li class="isi">SIG Competitive Programming RISTEK 2018</li>
		                        <li class="isi">Treasurer of OH Fasilkom 2018</li>
		                        <li class="isi">Finance Manager Compfest 2019</li>
		                    </div>
		                    <h4 class="judul2">Awards</h4>
		                    <div>
		                    	<li class="isi">Asia International Mathematics Olympiad (AIMO) 2014, Silver Medalist</li>
		                    	<li class="isi">National Mathematical Olympiad (OSN) 2016, Bronze Medalist</li>
		                    	<li class="isi">Singapore Mathematical Olympiad (SMO) 2016, Gold Medalist</li>
		                        <li class="isi">ICPC Regional Jakarta 2017, Finalist</li>
		                        <li class="isi">ICPC Regional Jakarta 2018, Finalist</li>
		                    </div>
		                </div>

                    </div>
                </div>


                <center><a href="{% url 'lab6:homepage' %}"><button type="button"class="btn":> Status . . .</button></a></center>
                <br><br>

                
            </div>

            <div class="col-sm-6 text-center">
                <p id="night" class="text-center text" style="font-size: 50px; text-align: center; color:white"><strong>Night Mode?</strong></p>
                <label class="switch" for="nightmode">
                    <input type="checkbox" class="nightmode" id="nightmode" name="nightmode">
                    <span class="slider round"></span>
                </label>
            </div>


		</div>
	</div>

</body>
</html>